Emulator Compatibility

Posted in Support
Unsubscribe from this topic
Hi! I have downloaded Lucas' Simpsons Hit And Run Mod launcher but can't seem to use it because I use an emulator instead of an exe file to play my Simpsons Hit And Run. I am wondering if there is a way around this is there a solution to this? I really love the mods and I would love to play them!
The only supported version is the PC version of the game. We do not support emulators or console version mods.

Sorry for the inconvenience.
Unsubscribe from this topic
Please login to contribute to the conversation.